<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Add ServiceType
 * @subpackage Services
 */
class Add extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named Add_PushSubscriptions
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Add_PushSubscriptions $parameters
     * @return \StructType\Add_PushSubscriptionsResponse|bool
     */
    public function Add_PushSubscriptions(\StructType\Add_PushSubscriptions $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Add_PushSubscriptions($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\Add_PushSubscriptionsResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
